package com.ruixuan.isc.mapper;

import com.ruixuan.isc.entity.KuaishouAccessToken;

import java.util.List;

public interface AccessTokenMapper {
    KuaishouAccessToken getAccessToken(Long regId);

    List<KuaishouAccessToken> getTokenInfos();

    void update(KuaishouAccessToken updateToken);

    List<KuaishouAccessToken> getByteDanceTokenInfos();

    void updateBytedance(KuaishouAccessToken update);
}
